Jump to content

Whmphp não está funcionando no easyapache4


Breno Febronio
 Share

Recommended Posts

Olá pessoal,

Hoje fui instalar o plugin do Whmphp para um servidor novo meu que estou utilizando com o EA4, mais quando clico no plugin a tela dele fica branca.

Algum de voces utilizam o whmphp no EA4 que possa me dar alguma dica de como resolver isso ?

 

Desde já agradeço.

 

Obs : Não sei se postei na área certa, se não postei por favor mover o tópico.

Link to comment
Share on other sites

Passei por isso á 2meses atrás

Não é o easyapache, e sim o cpanel.

O cpanel recentemente mudou a versão do php interna junto com o sourceguardian. Com essa atualização, o whmphp ficou ultrapassado.

Não adianta fazer rebuild com novas configurações do php, porque não irá funcionar. Pois se trata de uma versão interna do próprio sistema.

Quando fiquei sabendo disso, eu nem renovei a licença, parei de usar e atualmente estou usando o whmreseller, que apesar de tudo é um ótimo plugin

Entrei em contato com o suporte, expliquei o que aconteceu e até o porque aconteceu e fiquei sem resposta até o momento.

Link to comment
Share on other sites

Não tem nada a ver com o EasyApache. O cPanel usa sua própria instalação do PHP.

A solução é instalar o Source Guardian Loader manualmente:

1 - Acesse o servidor como root via SSH e veja qual a versão do PHP: /usr/local/cpanel/3rdparty/bin/php -v

2 - Via SFTP ou com o plugin do WHM ConfigServer Explorer, acesse o diretório onde as extensões do PHP do cPanel ficam armazenadas. O caminho vai depender da versão do PHP. Por exemplo, na versão 5.6, o diretório é /usr/local/cpanel/3rdparty/php/56/lib/extensions/no-debug-non-zts-20131226

3 - Vá ao site do Source Guardian e baixe a extensão (Linux 32 ou 64 bits, conforme a arquitetura do seu servidor)

4 - Descompacte o arquivo compactado e envie a extensão via SFTP para o diretório das extensões do PHP, que foi obtido no passo acima. O nome da extensão depende da versão do PHP (no exemplo acima seria o arquivo ixed.5.6.lin)

5 - Possivelmente a extensão já foi instalada via WHM, mas é uma versão mais antiga do Source Guardian Loader e que não funciona, por isso substitua a extensão já existente quando fizer upload do novo arquivo.

Funcionou para um amigo, espero que funcione para você.

Link to comment
Share on other sites

Em 22/08/2016 at 14:36, Jaime Silva disse:

Não tem nada a ver com o EasyApache. O cPanel usa sua própria instalação do PHP.

A solução é instalar o Source Guardian Loader manualmente:

1 - Acesse o servidor como root via SSH e veja qual a versão do PHP: /usr/local/cpanel/3rdparty/bin/php -v

2 - Via SFTP ou com o plugin do WHM ConfigServer Explorer, acesse o diretório onde as extensões do PHP do cPanel ficam armazenadas. O caminho vai depender da versão do PHP. Por exemplo, na versão 5.6, o diretório é /usr/local/cpanel/3rdparty/php/56/lib/extensions/no-debug-non-zts-20131226

3 - Vá ao site do Source Guardian e baixe a extensão (Linux 32 ou 64 bits, conforme a arquitetura do seu servidor)

4 - Descompacte o arquivo compactado e envie a extensão via SFTP para o diretório das extensões do PHP, que foi obtido no passo acima. O nome da extensão depende da versão do PHP (no exemplo acima seria o arquivo ixed.5.6.lin)

5 - Possivelmente a extensão já foi instalada via WHM, mas é uma versão mais antiga do Source Guardian Loader e que não funciona, por isso substitua a extensão já existente quando fizer upload do novo arquivo.

Funcionou para um amigo, espero que funcione para você.

Eu nem cogitei em fazer isso.
Pra mim chega de whmphp. Sinceramente... o suporte e eles são umas bosta.
Eles só precisariam reconstruir o código fonte usando a nova versão do source guardian.
Fazendo este procedimento que você flw, nem usei de tocar também, porque é possível sofrer incompatibilidade com novas criptografias do próprio cpanel ou outros scripts atualizados.

Link to comment
Share on other sites

15 horas atrás, brunowebmaster disse:

Eu nem cogitei em fazer isso.
Pra mim chega de whmphp. Sinceramente... o suporte e eles são umas bosta.
Eles só precisariam reconstruir o código fonte usando a nova versão do source guardian.
Fazendo este procedimento que você flw, nem usei de tocar também, porque é possível sofrer incompatibilidade com novas criptografias do próprio cpanel ou outros scripts atualizados.

Eu estou utilizando o WHMReseller, bem mais barato e muito melhor. Suporte nota 10

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...